Accessibility Features Overview
Accessibility Requirement | Support Level |
---|---|
Right-to-Left Support | |
Keyboard Navigation Support | |
Screen Reader Support | |
Contrast Color Theme | |
Mobile Device Support | |
Lighthouse Accessibility Validation | |
Axe Accessibility Validation | |
WAVE Accessibility Validation | |
Section 508 Support | |
WCAG 2.x Support |
- - All component features meet the requirement
- - Some component features may not meet the requirement
- - Accessibility requirement is not supported
Accessibility Standards Compliance
The SelectBox component complies to all Section 508 and WCAG 2.x standards criteria.
Keyboard Navigation
A user can use the following keys to interact with the SelectBox component:
Key | Action |
---|---|
Alt + ↓ | Opens the drop-down list. |
Alt + ↑ | Closes the drop-down list. |
Esc | Closes the drop-down list and removes focus from the UI component. |
↑ / ↓ | If the drop-down list is opened, moves focus to the previous/next item; otherwise, selects the previous/next item. |
Page Up / Page Down | Moves focus to the first/last item. |
Enter or Space | Selects the item. |
Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.
- function registerKeyHandlers () {
- const selectBox = $("#selectBoxContainer").dxSelectBox("instance");
- selectBox.registerKeyHandler("backspace", function(e) {
- // The argument "e" contains information on the event
- });
- selectBox.registerKeyHandler("space", function(e) {
- // ...
- });
- }
Screen Reader Support
The SelectBox component supports screen readers and complies to WAI-ARIA standards.
To improve accessibility, use the inputAttr property to specify aria-label for the component. You do not need to specify aria-label
if you use label.
If you have technical questions, please create a support ticket in the DevExpress Support Center.

React SelectBox - Accessibility

Accessibility Features Overview

NOTE
The overall accessibility level of your application depends on the SelectBox features that you use.
Accessibility Requirement Support Level
Right-to-Left Support
Keyboard Navigation Support
Screen Reader Support
Contrast Color Theme
Mobile Device Support
Lighthouse Accessibility Validation
Axe Accessibility Validation
WAVE Accessibility Validation
Section 508 Support
WCAG 2.x Support
  • - All component features meet the requirement
  • - Some component features may not meet the requirement
  • - Accessibility requirement is not supported

Accessibility Standards Compliance

The SelectBox component complies to all Section 508 and WCAG 2.x standards criteria.

Keyboard Navigation

A user can use the following keys to interact with the SelectBox component:

Key Action
Alt + ↓ Opens the drop-down list.
Alt + ↑ Closes the drop-down list.
Esc Closes the drop-down list and removes focus from the UI component.
↑ / ↓ If the drop-down list is opened, moves focus to the previous/next item; otherwise, selects the previous/next item.
Page Up / Page Down Moves focus to the first/last item.
Enter or Space Selects the item.

Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { SelectBox } from 'devextreme-react/select-box';
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.selectBoxRef = React.createRef();
  • }
  •  
  • render() {
  • return (
  • <SelectBox ref={this.selectBoxRef} />
  • );
  • }
  •  
  • get selectBox() {
  • return this.selectBoxRef.current.instance;
  • }
  •  
  • componentDidMount() {
  • this.selectBox.registerKeyHandler('backspace', function(e) {
  • // The argument "e" contains information on the event
  • });
  • this.selectBox.registerKeyHandler('space', function(e) {
  • // ...
  • });
  • }
  • }
  •  
  • export default App;

Screen Reader Support

The SelectBox component supports screen readers and complies to WAI-ARIA standards.

To improve accessibility, use the inputAttr property to specify aria-label for the component. You do not need to specify aria-label if you use label.